> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supersonic.cv/llms.txt
> Use this file to discover all available pages before exploring further.

# analytics.pipeline



## OpenAPI

````yaml POST /analytics/pipeline
openapi: 3.1.0
info:
  title: Supersonic CRM API
  description: 62 tools for managing your CRM data. Call via CLI, REST, or MCP.
  version: 1.0.0
servers:
  - url: https://api.supersonic.cv
    description: Production
security:
  - bearerAuth: []
paths:
  /analytics/pipeline:
    post:
      tags:
        - analytics
      summary: >-
        Pipeline (funnel) analytics: stage counts, total value per stage,
        sequential conversion rates, and totals.
      operationId: analytics.pipeline
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                list_id:
                  type: string
                  description: Pipeline (List) UUID
                stage_field:
                  type: string
                  description: 'Entry data field for stage (default: ''stage'')'
                value_field:
                  type: string
                  description: 'Record data field for deal value (default: ''value'')'
                time_range:
                  type: object
                  properties:
                    from:
                      type: string
                    to:
                      type: string
              required:
                - list_id
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
        '400':
          description: Validation error
        '403':
          description: Permission denied
        '429':
          description: Rate limit exceeded
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'API key: supersonic_live_...'

````